package faqapp;

import java.io.Serializable;

/**
 * AreaTO (Transfer Object). This TO is used by the AppSessionFacade bean.
 * The reason why this TO is not immutable is due to requirements of the
 * Web service implementation.
 **/
public class AreaTO implements Serializable {
    private int areaID;
    private String areaDesc;
    private int[] faqIDs;
    private int[] topicIDs;

    public AreaTO() {
    }

    public AreaTO(int areaID, String areaDesc, int[] topicIDs, int[] faqIDs) {
        this.areaID = areaID;
        this.areaDesc = areaDesc;
        this.faqIDs = faqIDs;
        this.topicIDs = topicIDs;
    }

    public void setAreaID(int areaID) {
        this.areaID = areaID;
    }

    public void setAreaDesc(String areaDesc) {
        this.areaDesc = areaDesc;
    }

    public void setFaqIDs(int[] faqIDs) {
        this.faqIDs = faqIDs;
    }

    public void setTopicIDs(int[] topicIDs) {
        this.topicIDs = topicIDs;
    }

    public int getAreaID() {
        return areaID;
    }

    public String getAreaDesc() {
        return areaDesc;
    }

    public int[] getFAQIDs() {
        return faqIDs;
    }

    public int[] getTopicIDs() {
        return topicIDs;
    }
}
